Incus - Command line client(1)

NAME
incus-network-peer-create - Create new network peering

SYNOPSIS
incus network peer create [:] [/] [=...] [flags]

DESCRIPTION
Description:
  Create new network peering

OPTIONS
--description=""
    ``Peer description

-t, --type="local"
    ``Type of peer (local or remote)

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus network peer create default peer1 web/default
          Create a new peering between network "default" in the current project and network "default" in the "web" project

      incus network peer create default peer2 ovn-ic --type=remote
          Create a new peering between network "default" in the current project and other remote networks through the "ovn-ic" integration

      incus network peer create default peer3 web/default < config.yaml
      	Create a new peering between network default in the current project and network default in the web project using the configuration
      	in the file config.yaml

SEE ALSO
incus-network-peer(1)

HISTORY
10-Jul-2026 Auto generated by spf13/cobra